Upload Doc
Upload a doc to a workspace. Send the doc as multipart/form-data with a `file` field and a `workspaceId` field, plus an optional `folderId`. Maximum doc size is 100MB. Duplicate doc names within a workspace are not allowed.
/api/v1/docsAuthorization
apiKey Your SteelEngine API key (personal, workspace, or organization). Create personal and workspace keys under Settings > API Keys. Create organization keys under Organization Settings > API Keys.
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/docs" \ -F file="string" \ -F workspaceId="string"{ "success": true, "data": { "doc": { "id": "file_abc123", "name": "data.csv", "size": 1024, "type": "text/csv", "key": "files/wsp_abc123/data.csv", "folderId": null, "uploadedBy": "user_abc123", "uploadedAt": "2026-01-15T10:30:00Z" }, "message": "Doc uploaded successfully" }}